
#ifndef CHUNK_H
#define CHUNK_H

#include "config.h"

struct S_AllocChunk
{
    size_t              ChunkSize;
    char *              pChunkList;
    char *              pChunkActive;
};
typedef struct S_AllocChunk             ALLOCCHUNK;
typedef ALLOCCHUNK                     *pALLOCCHUNK;


pALLOCCHUNK         ChunkInit        PROTO((size_t size));
void                ChunkTerm        PROTO((pALLOCCHUNK p));
char *              ChunkAlloc       PROTO((pALLOCCHUNK p, size_t size));
void                ChunkFree        PROTO((pALLOCCHUNK p, char *pMem));

#endif      /* CHUNK_H */
